#include<bits/stdc++.h>
using namespace std;

int findTrue(int q, int n)
{
    for(int j = 1; j*j < q; j++)
    {
        for(int k = 1; k*k < q; k++)
        {
            if(j*j+k*k == q)
            {
                return 1;
            }
        }
    }
    return 0;
}

int main()
{
    int n;
    cin>>n;
    int q;
    for(int i = 0; i < n; i++)
    {
        cin>>q;
        cout<<findTrue(q, n);
    }
    return 0;
}
